Description

Hi,

When you have a multi-type table (for instance of type geometry(Geometry,4326) in postgis), you can still add it to QGIS by manually

selecting what geometry type to load.

This works quite well for normal display, but when you enter in edit mode, it's possible to move the nodes of other geometry types as well.

Example : I added my_table twice to my QGIS project, once as polygons, once as points. Each of those tables display exclusively their

geometry types. But when I enter into edit mode on the polygons layer, I'm able to move points using the node tool.

This can be very annoying when feature of different types have control points at the same position, and can link to unexpected behaviour

(editing an other feature than the one you were expecting to edit).

There are some other problems related to this :

- the attribute table shows all the records, and not only those of the layer type

- there's no way to share common layer settings, such as editing widgets, joins, etc., among the point/line/polygon layers showing a same

postgis table (see issue #12303)

This more generally raises the question of multi-typed geometry tables management in QGIS... I'll post on the ML about that.

Related issues:

Related to QGIS Application - Bug report # 12500: Attribute table of a layer ... Closed 2015-04-02

Associated revisions

Revision 97572244 - 2015-04-02 05:47 PM - Jürgen Fischer

postgres provider: also apply filterWhereClause to feature iterators (fixes #12499 & #12500)

Revision fe3dc4cf - 2015-04-04 11:43 PM - Jürgen Fischer

postgres provider: also apply filterWhereClause to feature iterators (fixes #12499 & #12500)

(cherry picked from commit 97572244dc699c6d5480f736e38d9246496cef20)

History

#1 - 2015-04-02 08:48 AM - Jürgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"97572244dc699c6d5480f736e38d9246496cef20".
